diff --git a/dracut-kdump.sh b/dracut-kdump.sh
index 06e2c02..80acc93 100755
--- a/dracut-kdump.sh
+++ b/dracut-kdump.sh
@@ -491,6 +491,8 @@ wait_online_network()
 		if _route=$(kdump_get_ip_route "$1" 2> /dev/null); then
 			printf "%s" "$_route"
 			return
+		else
+			dwarn "Waiting for network to be ready (${_loop}s / 10min)"
 		fi
 	done
 
diff --git a/dracut-module-setup.sh b/dracut-module-setup.sh
index 6eac2ae..b74447f 100755
--- a/dracut-module-setup.sh
+++ b/dracut-module-setup.sh
@@ -540,7 +540,12 @@ kdump_collect_netif_usage() {
     local _destaddr _srcaddr _route _netdev
 
     _destaddr=$(kdump_get_remote_ip "$1")
-    _route=$(kdump_get_ip_route "$_destaddr")
+
+    if ! _route=$(kdump_get_ip_route "$_destaddr"); then
+        derror "Bad kdump network destination: $_destaddr"
+        exit 1
+    fi
+
     _srcaddr=$(kdump_get_ip_route_field "$_route" "src")
     _netdev=$(kdump_get_ip_route_field "$_route" "dev")
 
diff --git a/kdump-lib-initramfs.sh b/kdump-lib-initramfs.sh
index a8ec3fe..41dc751 100755
--- a/kdump-lib-initramfs.sh
+++ b/kdump-lib-initramfs.sh
@@ -166,7 +166,6 @@ is_lvm2_thinp_device()
 kdump_get_ip_route()
 {
 	if ! _route=$(/sbin/ip -o route get to "$1" 2>&1); then
-		derror "Bad kdump network destination: $1"
 		exit 1
 	fi
 	echo "$_route"